{
  pkgs,
  lib,
  ...
}: let
  packages = {
    typst-configs = pkgs.fetchFromGitea {
      domain = "forge.katzen.cafe";
      owner = "schrottkatze";
      repo = "typst-configs";
      rev = "3a09cd374f0508c8e0c5d95f5ad7358adc50bafa";
    };
    flow = pkgs.fetchFromGithub {
      owner = "MultisampledNight";
      repo = "flow";
      rev = "f5c653c706d80145165ec684b217b803a0246e8c";
    };
  };
  mkTypstPath = name: ".local/share/typst/packages/local/${name}/0.1.0";
in {
  home.file = {
    typst-configs = {
      target = mkTypstPath "typst-configs";
      source = packages.typst-configs;
      recursive = true;
    };
    flow = {
      target = mkTypstPath "flow";
      source = packages.flow;
      recursive = true;
    };
  };
}
